[arch-commits] Commit in amule (repos/extra-i686 trunk/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Fri Jul 4 15:20:45 EDT 2008


    Date: Friday, July 4, 2008 @ 15:20:45
  Author: giovanni
Revision: 4168

Merged revisions 2-4167 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/amule/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........

Modified:
  amule/repos/extra-i686/	(properties)
  amule/trunk/PKGBUILD

----------+
 PKGBUILD |   31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)


Property changes on: amule/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /amule/trunk:1
   + /amule/trunk:1-4167

Modified: trunk/PKGBUILD
===================================================================
--- trunk/PKGBUILD	2008-07-04 18:00:32 UTC (rev 4167)
+++ trunk/PKGBUILD	2008-07-04 19:20:45 UTC (rev 4168)
@@ -3,27 +3,21 @@
 # Contributor: Henrik Ronellenfitsch <searinox at web.de>
 
 pkgname=amule
-pkgver=2.1.3
-pkgrel=4
-pkgdesc="aMule is a eMule-like client for ed2k p2p network"
-arch=("i686" "x86_64")
-license=('GPL')
+pkgver=2.2.1
+pkgrel=1
+pkgdesc="An eMule-like client for ed2k p2p network"
+arch=('i686' 'x86_64')
 url="http://www.amule.org"
+license=('GPL')
 depends=('wxgtk>=2.8.0.1' 'gd>=2.0.34' 'binutils>=2.17.50.0.18')
 makedepends=('crypto++')
-source=(http://heanet.dl.sourceforge.net/sourceforge/amule/aMule-${pkgver}.tar.bz2
-	aMule-wx.patch)
-md5sums=('0aafdd159edb8ad5f0064da87998b47d'
-	  '7b61651b0abdee7dc577a03dad8025c1')
-sha1sums=('dd47deb38e7a5b823550b85150f5a814c597b273'
-	  'bd048f7b88ff4c19841f606d03c5a9750e6e6945')
+source=(http://heanet.dl.sourceforge.net/sourceforge/amule/aMule-${pkgver}.tar.bz2)
+md5sums=('bfa8237e9682fd9d6fce72e152276f49')
 
 build() {
   cd ${startdir}/src/aMule-${pkgver}
-  patch -Np1 -i ${startdir}/src/aMule-wx.patch || return 1
+
   ./configure --prefix=/usr \
-              --disable-embedded_crypto \
-              --enable-utf8-systray \
               --enable-cas \
               --enable-wxcas \
               --enable-amule-daemon \
@@ -31,7 +25,12 @@
               --enable-amule-gui \
               --enable-alc \
               --enable-alcc \
-	      --enable-webserver
+              --enable-webserver \
+              --disable-debug \
+              --enable-optimize \
+              --enale-geoip \
+              --enable-upnp
+
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }





More information about the arch-commits mailing list